Name:		glabels
Version:	2.2.2
Release:	1%{?dist}
Summary:	A program for creating labels and business cards for GNOME

Group:		Applications/Publishing
License:	GPLv2+
URL:		http://glabels.sf.net

Source0:	http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	evolution-data-server-devel >= 1.8
BuildRequires:	gettext
BuildRequires:	gtk2 >= 2.10
BuildRequires:	libglade2-devel >= 2.6
BuildRequires:	libgnomeui-devel >= 2.16 
BuildRequires:	libxml2 >= 2.6
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper

Requires(post):	desktop-file-utils
Requires(post):	/sbin/ldconfig
Requires(post):	shared-mime-info

Requires(postun):	desktop-file-utils
Requires(postun):	/sbin/ldconfig
Requires(postun):	shared-mime-info

Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-doc = %{version}-%{release}
	
%description
gLabels is a lightweight program for creating labels and
business cards for the GNOME desktop environment.
It is designed to work with various laser/ink-jet peel-off
label and business card sheets that you'll find at most office
supply stores.


%package	devel
Summary:	Development files and documentation for %{name}
License:	LGPLv2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description	devel
This package contains the header files and development documentation for
libglabels. 


%package 	libs
License:	LGPLv2+
Summary:	Development files and documentation for %{name}
Group:		Development/Libraries

%description	libs
This package contains the shared libraries for %{name}. 


%package 	doc
License:	GFDLv1.1+
Summary:	Runtime documentation for %{name}
Group:		Development/Libraries
Requires(post):	scrollkeeper
Requires(postun):	scrollkeeper

%description	doc
This package contains the runtime documentation and manual pages for %{name}. 


%prep
%setup -q


%build
%configure --disable-update-mimedb --disable-update-desktopdb
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
desktop-file-install					\
	--vendor=fedora					\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original				\
	%{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}
## Fix encodings.
for DOC_FILE in AUTHORS ChangeLog NEWS; do
	%{_bindir}/iconv -f iso8859-1 -t utf-8 ${DOC_FILE} > ${DOC_FILE}.conv;
	mv -f ${DOC_FILE}.conv ${DOC_FILE};
done
## Remove useless ScrollKeeper cruft. The %%post/%%postun scriptlets handle
## the updating for us instead.
rm -rf %{buildroot}%{_localstatedir}/scrollkeeper


%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:


%post	libs -p /sbin/ldconfig

%postun	libs -p /sbin/ldconfig


%post	doc
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:

%postun	doc
scrollkeeper-update -q ||:


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.README_FIRST NEWS README TODO
%{_bindir}/glabels*
%{_datadir}/application-registry/glabels.applications
%{_datadir}/applications/fedora-glabels.desktop
%{_datadir}/glabels/
%{_datadir}/mime/packages/glabels.xml
%{_datadir}/mime-info/glabels.*
%{_datadir}/pixmaps/glabels/
%{_datadir}/pixmaps/glabels*.png

%files	devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING-LIBGLABELS
%doc %{_datadir}/gtk-doc/html/libglabels
%exclude %{_libdir}/libglabels.la
%exclude %{_libdir}/libglabels.a
%{_includedir}/libglabels/
%{_libdir}/libglabels.so
%{_libdir}/pkgconfig/libglabels.pc

%files	libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING-LIBGLABELS
%{_libdir}/libglabels.so.*

%files	doc
%defattr(-,root,root,-)
## Manual ("man") pages are automatically marked as %%doc by RPM. 
%doc AUTHORS COPYING-DOCS
%doc %{_datadir}/gnome/help/glabels/
%{_datadir}/omf/glabels/
%{_mandir}/man?/glabels.*


%changelog
* Tue Mar 04 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.2-1
- Update to new upstream bug-fix release (2.2.2).

* Mon Jan 28 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.1-1
- Update to new upstream bug-fix release (2.2.1).

* Mon Jan 14 2008 Peter Gordon <peter@thecodergeek.com> - 2.2.0-1
- Update to new upstream release (2.2.0 Final); Yay!

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.5-5
- Add BR: perl(XML::Parser)
 
* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-4
- Mass FC6 rebuild

* Wed Jul 05 2006 Peter Gordon <peter@thecodergeek.com> - 2.0.4-3
- Add BuildRequires: gettext (#197633)

* Sat Feb 18 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-2
- Bump for fe5 rebuild 

* Sat Jan 01 2006 Jef Spaleta <jspaleta@gmail.com> - 2.0.4-1
- Update to new stable upstream version

* Thu Aug 18 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-3
- rebuild

* Thu Jul 7 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-2
- use Source0

* Mon Jul 5 2005 Jef Spaleta <jspaleta@gmail.com> - 2.0.3-1
- Initial fedora extras build

